
Figure - Bug #117584
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试24小时，出现CRASH: com.android.systemui（2）
2023-04-20 10:23 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-20

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Reproducibility: Occasionally Fixed Version: 2023-04-24

Test Type: Monkey Test Root cause: 默认资源未定义，已添加默认资源

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 172800 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.systemui (pid 2016)

// Short Msg: java.lang.UnsupportedOperationException

// Long Msg: java.lang.UnsupportedOperationException: Can't convert value at index 6 to dimension: type=0x1

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2922:user/test-keys

// Build Changelist: 2922

// Build Time: 1681840562000

// java.lang.RuntimeException: Unable to start activity

ComponentInfo{com.android.systemui/com.android.systemui.settings.brightness.BrightnessDialog}: android.view.InflateException: Binary XML file

line #25 in com.android.systemui:layout/quick_settings_brightness_dialog: Binary XML file line #25 in

com.android.systemui:layout/quick_settings_brightness_dialog: Error inflating class <unknown>

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3636)

//     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

//     at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

//     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// Caused by: android.view.InflateException: Binary XML file line #25 in com.android.systemui:layout/quick_settings_brightness_dialog: Binary XML

file line #25 in com.android.systemui:layout/quick_settings_brightness_dialog: Error inflating class <unknown>

// Caused by: android.view.InflateException: Binary XML file line #25 in com.android.systemui:layout/quick_settings_brightness_dialog: Error inflating

class <unknown>

// Caused by: java.lang.reflect.InvocationTargetException
History

#1 - 2023-04-20 10:31 - CD APP-王营

- Category changed from CD-APP to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW 曹覃刚

#2 - 2023-04-20 18:03 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-21

- Root cause set to 与 #117573 原因一致，已修复

#3 - 2023-04-23 10:26 - CD TEST-方永红

- File error.txt added

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to CD FW 曹覃刚

4.23

【复现版本】

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304210449

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117584

#4 - 2023-04-23 17:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195639 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:SystemUI: add default resource definition for Screen record UI and Brightness UITC-RID: 1201-0201905IssueID: TS-R-BUG-117584Change-Id:

Iaf77b1b35e2c421ba9ad835ab9be6d62f3df3c71

#5 - 2023-04-23 17:38 - CD FW 曹覃刚

- Status changed from VERIFY_FAILED to RESOLVED

- Fixed Version changed from 2023-04-21 to 2023-04-24

- Root cause changed from 与 #117573 原因一致，已修复 to 默认资源未定义，已添加默认资源

#6 - 2023-04-24 10:23 - CD TEST-方永红

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

#7 - 2023-04-25 18:35 - CD TEST-方永红
4.25

24日版本冒烟失败，待今日跑测后更新

#8 - 2023-04-26 11:25 - CD TEST-方永红

4.26

0094版本未复现

#9 - 2023-04-27 13:57 - CD TEST-方永红

4.27

26号DB版本未复现、继续跟踪一个版本

#10 - 2023-04-28 17:28 - CD TEST-方永红

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

4.28

27日DB未复现

先关闭

#11 - 2023-04-28 17:28 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#12 - 2023-04-28 17:28 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_sts40x190067_000135_0419175931.tar.gz 7.01 MB 2023-04-20 CD TEST-方永红

error(1).txt 2.53 MB 2023-04-20 CD TEST-方永红

error.txt 200 KB 2023-04-23 CD TEST-方永红
